# List All Avatars

Retrieves a list of all available avatars

<Callout icon="📘" theme="info">
  **Note:**

  * Scroll down to the **Response** section below and expand the status code(s) to view the detailed response schema.
  * Refer to the **RESPONSE** section on the right and choose an example to see how the API response appears for each status code.
</Callout>

<br />

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "heygen-api",
    "version": "4.0.8"
  },
  "servers": [
    {
      "url": "https://api.heygen.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "x-api-key",
        "in": "header",
        "x-default": "<your-api-key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v2/avatars": {
      "get": {
        "summary": "List All Avatars (V2)",
        "description": "You can get your Avatars and Talking Photos(Photo Avatars) with this endpoint.",
        "operationId": "list-avatars-v2",
        "responses": {
          "200": {
            "description": "Avatars retrieved successfully - Expand to view the detailed response schema.",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "error": null,
                      "data": {
                        "avatars": [
                          {
                            "avatar_id": "Abigail_expressive_2024112501",
                            "avatar_name": "Abigail (Upper Body)",
                            "gender": "female",
                            "preview_image_url": "https://files2.heygen.ai/avatar/v3/1ad51ab9fee24ae88af067206e14a1d8_44250/preview_target.webp",
                            "preview_video_url": "https://files2.heygen.ai/avatar/v3/1ad51ab9fee24ae88af067206e14a1d8_44250/preview_video_target.mp4",
                            "premium": false,
                            "type": null,
                            "tags": null,
                            "default_voice_id": null
                          },
                          {
                            "avatar_id": "Abigail_standing_office_front",
                            "avatar_name": "Abigail Office Front",
                            "gender": "female",
                            "preview_image_url": "https://files2.heygen.ai/avatar/v3/463208b6cad140d2b263535826838e3a_39240/preview_target.webp",
                            "preview_video_url": "https://files2.heygen.ai/avatar/v3/463208b6cad140d2b263535826838e3a_39240/preview_video_target.mp4",
                            "premium": false,
                            "type": null,
                            "tags": null,
                            "default_voice_id": null
                          }
                        ],
                        "talking_photos": [
                          {
                            "talking_photo_id": "6013fc758b5446a2ba17d8c459538bb4",
                            "talking_photo_name": "Veronica",
                            "preview_image_url": "https://files2.heygen.ai/talking_photo/6013fc758b5446a2ba17d8c459538bb4/c53b0cfe0d134f99a83f79917ccfbb1c.WEBP?Expires=1759603506&Signature=Vk8RtZjZOc3Op4dEoTfyZJckwEXmug8mDrvXdWRq0pzJ5i1BkU7uRs03dnS9161TH85n05-od4XFqnlkot0H2xOd8t1FwRfGV991sJjKWO7xrq-fgPoNts6Kad~zT16dMX-PMwQ-mJPAzKfFsQHS21hpr7WX3lwTqoGDNqiQwL8y~MWmPIr024O6Ew9gonu8e45~bt~7exUoKxoUnni5HgaF9Og928GzYqJJhvNjBgLnn3tMinyOQMTzrcvoeZEZrGft4GJr-ZwTuPxq9G0NMI9Qipv3fPymphxxXKmmV-YobvhL3CSLpOAwdIsLeKJmTlR6fomnd0ydXd-BV5nSvw__&Key-Pair-Id=K38HBHX5LX3X2H"
                          },
                          {
                            "talking_photo_id": "9874061c71564f27a9d9f7eaadf51698",
                            "talking_photo_name": "Susannah",
                            "preview_image_url": "https://files2.heygen.ai/talking_photo/9874061c71564f27a9d9f7eaadf51698/57048a85b18248fc8486af2be48d6dfd.WEBP?Expires=1759724418&Signature=OIM0Qwu~gfqUnvzGWdL6sFSQMappdM66MRBnU-oqkZVjFpwqTFEPlq1OdBp8sQNf7ASEB-DkrUcrreOydvNmkKT~ndpUH85jhDVg~DOv10GCgx8ZxYWYqnkAr~CYfb~4kS6WPQRjhHNu9~PaEXxYPDKos7Bvkf3zX1WLTcUxq6Rcx7rEWIEhVeBhJoHpf99IHn4GycZ48WJJjiQf7w6Zp~q-mfakSzkw1T4oUNGWTJNhSH2RtPQzOZupdmyVEDFo-I2-D2awl86OCue2g6DvJd5N2aFqJUllPOs3O2m-V4i2Q2RajW3XnzHYeE6YTwMtDpaZj0ESrTwhPvIU8IaT2Q__&Key-Pair-Id=K38HBHX5LX3X2H"
                          }
                        ]
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "Displays error message when the request fails; null if the request is successful."
                    },
                    "data": {
                      "type": "object",
                      "description": "Contains the list of avatars and talking photos",
                      "properties": {
                        "avatars": {
                          "type": "array",
                          "items": {
                            "properties": {
                              "avatar_id": {
                                "type": "string",
                                "description": "Unique identifier of the avatar."
                              },
                              "avatar_name": {
                                "type": "string",
                                "description": "Name of the avatar."
                              },
                              "gender": {
                                "type": "string",
                                "description": "Gender associated with the avatar."
                              },
                              "preview_image_url": {
                                "type": "string",
                                "description": "URL of the avatar's preview image."
                              },
                              "preview_video_url": {
                                "type": "string",
                                "description": "URL of the avatar's preview video."
                              },
                              "premium": {
                                "type": "boolean",
                                "description": "Indicates whether the avatar is a premium avatar or not (account-specific)."
                              },
                              "type": {
                                "type": "string",
                                "description": "Avatar type."
                              },
                              "tags": {
                                "type": "array",
                                "items": {
                                  "type": "string"
                                },
                                "description": "List of tags associated with the avatar (e.g., \"NEW\", \"AVATAR_IV\")."
                              },
                              "default_voice_id": {
                                "type": "string",
                                "description": "Default voice ID linked to the avatar."
                              }
                            },
                            "type": "object"
                          },
                          "description": "A collection of available avatar objects."
                        },
                        "talking_photos": {
                          "type": "array",
                          "items": {
                            "properties": {
                              "talking_photo_id": {
                                "type": "string",
                                "description": "Unique identifier of the talking photo"
                              },
                              "talking_photo_name": {
                                "type": "string",
                                "description": "Name of the talking photo."
                              },
                              "preview_image_url": {
                                "type": "string",
                                "description": "URL of the talking photo's preview image."
                              }
                            },
                            "type": "object"
                          },
                          "description": "A collection of available talking photo objects."
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```